unit frmuMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Colors, FMX.Types3D,
  FMX.Objects3D, FMX.Ani, FMX.Layouts;

type
  TfrmMain = class(TForm)
    Viewport3D1: TViewport3D;
    Layout1: TLayout;
    ArcDial_X: TArcDial;
    Label_X: TLabel;
    ArcDial_Y: TArcDial;
    Label_Y: TLabel;
    ArcDial_Z: TArcDial;
    Label_Z: TLabel;
    Light1: TLight;
    Dummy1: TDummy;
    CylinderX: TCylinder;
    CylinderY: TCylinder;
    CylinderZ: TCylinder;
    Button1: TButton;
    FloatAnimationX: TFloatAnimation;
    FloatAnimationY: TFloatAnimation;
    FloatAnimationZ: TFloatAnimation;
    Grid3D1: TGrid3D;
    ConeY: TCone;
    ConeX: TCone;
    ConeZ: TCone;
    Text3DX: TText3D;
    Text3DY: TText3D;
    Text3DZ: TText3D;
    Text3DX_M: TText3D;
    Text3DY_M: TText3D;
    Text3DZ_M: TText3D;
    StyleBook1: TStyleBook;
    Path3DZ: TPath3D;
    Path3DY: TPath3D;
    Path3DX: TPath3D;
    procedure ArcDial_XChange(Sender: TObject);
    procedure ArcDial_YChange(Sender: TObject);
    procedure ArcDial_ZChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { private }
  public
    { public }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.fmx}

procedure TfrmMain.ArcDial_XChange(Sender: TObject);
begin
  Dummy1.RotationAngle.X := ArcDial_X.Value;
end;

procedure TfrmMain.ArcDial_YChange(Sender: TObject);
begin
  Dummy1.RotationAngle.Y := ArcDial_Y.Value;
end;

procedure TfrmMain.ArcDial_ZChange(Sender: TObject);
begin
  Dummy1.RotationAngle.Z := ArcDial_Z.Value;
end;

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  FloatAnimationX.Start;
  FloatAnimationY.Start;
  FloatAnimationZ.Start;
end;

end.
